EYMINT
DocumentationAPI Reference
BlogDashboard
EYMINT
SectionsDocumentationAPI Reference

Overview

  • API Introduction
  • API Reference Overview
  • Authentication
  • Rate Limits
  • Error Codes

Customers

  • Create Customer
  • Get All Customers
  • Get Customer
  • Update Customer
  • Get Customer Keys
  • Toggle Status
  • Delete Customer

License Keys

  • Create Key
  • Get Key Info
  • Update Key
  • Activate Key
  • Sign Offline Key
  • Checkout Floating Session
  • Heartbeat Floating Session
  • Checkin Floating Session
  • Deactivate Key
  • Block Key
  • Unblock Key
  • Delete Key
Go to Dashboard

Overview

  • API Introduction
  • API Reference Overview
  • Authentication
  • Rate Limits
  • Error Codes

Customers

  • Create Customer
  • Get All Customers
  • Get Customer
  • Update Customer
  • Get Customer Keys
  • Toggle Status
  • Delete Customer

License Keys

  • Create Key
  • Get Key Info
  • Update Key
  • Activate Key
  • Sign Offline Key
  • Checkout Floating Session
  • Heartbeat Floating Session
  • Checkin Floating Session
  • Deactivate Key
  • Block Key
  • Unblock Key
  • Delete Key
delete/key

Delete Key

Permanently delete a license key and its activations. Requires an `admin` key or the `license:delete` permission.

Deletion is permanent. To stop a key reversibly, use Block Key.

Authentication required: Bearer Token in Authorization header.

Parameters

Idempotency-Key
headerstring

Use a unique value to safely retry this request without repeating its effects.

Example<IDEMPOTENCY-KEY>

Request Body (application/json)

productIdrequired
string

The ID of the product the license belongs to.

licenseKeyrequired
string

The license key string to delete.

Responses

200License key deleted
400Invalid or missing parameters, or an Idempotency-Key reused with a different request.
401API key missing, invalid, expired or revoked, or its scope or product binding does not allow this endpoint.
404License key not found
429Per-minute rate limit or (Free plan) monthly quota exceeded. Honor Retry-After. Body shape and code (1 or 3) vary by endpoint; see Rate Limits.

Response Body (200)

message
string
code
integer
Request Example
curl -X DELETE "https://api.keymint.dev/key" \
  -H "Authorization: Bearer <YOUR_API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
  "productId": "string",
  "licenseKey": "XXXXX-XXXXX-XXXXX-XXXXX"
}'
Response (200 OK)
{
  "message": "Key deleted",
  "code": 0
}